- Qt 5.15
- Qt 3D
- C++ Classes
- QDynamicPropertyUpdatedChange
- Qt 5.15.19 Reference Documentation

# QDynamicPropertyUpdatedChange Class

class Qt3DCore::QDynamicPropertyUpdatedChange

The QDynamicPropertyUpdatedChange class is used to notify when a dynamic property value is updated. More...

Header: | #include <Qt3DCore/QDynamicPropertyUpdatedChange>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QPropertyUpdatedChangeBase

- List of all members, including inherited members

## Public Functions

| QDynamicPropertyUpdatedChange(QNodeId subjectId)
QByteArray | propertyName() const
void | setPropertyName(const QByteArray &name)
void | setValue(const QVariant &value)
QVariant | value() const

## Related Non-Members

typedef | QDynamicPropertyUpdatedChangePtr

## Detailed Description

## Member Function Documentation

### QDynamicPropertyUpdatedChange::QDynamicPropertyUpdatedChange(QNodeId subjectId)

Constructs a new QDynamicPropertyUpdatedChange with subjectId.

### QByteArray QDynamicPropertyUpdatedChange::propertyName() const

Returns name of the property.

See also setPropertyName().

### void QDynamicPropertyUpdatedChange::setPropertyName(const QByteArray &name)

Sets the property change name.

See also propertyName().

### void QDynamicPropertyUpdatedChange::setValue(const QVariant &value)

Set the property change value.

See also value().

### QVariant QDynamicPropertyUpdatedChange::value() const

Returns property value.

See also setValue().

## Related Non-Members

### typedef QDynamicPropertyUpdatedChangePtr

A shared pointer for QDynamicPropertyUpdatedChange.